package com.sqx.modules.userSign.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.modules.userSign.dto.UserSignDTO;
import com.sqx.modules.userSign.entity.UserSignRecord;

import java.util.Map;

public interface UserSignRecordService extends IService<UserSignRecord> {

    UserSignDTO getUserSignData(long userId);

    //获取当月签到次数
    int getUserSignCount(long userId);
    //周 剩余抽奖次数
    Map<Long,Integer> getTaskWCount(long userId, int wCount);
    //周 签到 次数
    Integer getWSignCount(long userId);

    String[] getUserSignAwardConfig();

}

